import { Repository } from "typeorm";
import { Review } from "../../common/review/review.entity";
export declare class AdminReviewService {
    private readonly reviewRepository;
    constructor(reviewRepository: Repository<Review>);
    findAll(vendorId?: string): Promise<Review[]>;
    findOne(id: number): Promise<Review>;
    updateStatus(reviewId: number, status: any): Promise<Review>;
    remove(id: number): Promise<void>;
}
